from abc import ABCMeta, abstractmethod
from vanirio.pipeline.interface import Interface


class CommissioningInterface(metaclass=ABCMeta):
    @abstractmethod
    def object(self, container: Interface) -> Interface:
        """
        Inside the object code block you need to define all the
        interface object that describe the input, output
        and parameters of this module.

        :param container: Fresh new interface holder.
        :return:
        """

        pass
