from vanirio.pipeline.interface.base import Base


class Input(Base):
    def __init__(self, label: str, tag: str):
        """
        A Input interface object is used as selector for
        the dataset in the module software. It maps the select
        column of the incoming dataset to the internal dataset
        inside the module software. In general the GUI is
        constructed such that the user can only select
        columns of the incoming data from vertex.
        (see documentation)

        :param label: GUI label name
        :param tag: Module tag name
        """
        super().__init__()
        self.label = label
        self.tag = tag
        self._type = 'INPUT'
