from vanirio.pipeline.interface.base import Base


class Number(Base):
    def __init__(self, label: str, tag: str):
        """
        A Number interface object is used as a parameter for module
        software. The interface can be used for either integers as
        float value numbers.

        :param label: GUI label name
        :param tag: Module tag name
        """
        super().__init__()
        self.label = label
        self.tag = tag
        self._type = 'NUMBER'
        self._decimals = 0
        self._step = 1
        self._min = -999999999
        self._max = -self._min
