from vanirio.pipeline.interface.base import Base


class Output(Base):
    def __init__(self, label: str, tag: str):
        """
        An Output interface object is used as selector for
        the outgoing dataset from the module software. It maps
        one of the columns of the module dataset to a indicator
        or dataset in the vertex. (see documentation)

        :param label: GUI label name
        :param tag: Module tag name
        """
        super().__init__()
        self.label = label
        self.tag = tag
        self._type = 'OUTPUT'
