from vanirio.abstract import RuntimeInterface

import pandas as pd


class Runtime(RuntimeInterface):
    def execute(self, dataset: pd.DataFrame, parameters: dict) -> pd.DataFrame:
        """
        Inside the execute code block all the logic needs to be formulated
        that generates a KPI or modifies the incoming dataset. See also
        the commissioning template for in-, output and parameter binding.
        (see documentation for help)

        :param dataset: Dataset with content as time-series.
        :param parameters: Dictionary with attached parameters.
        :return:
        """

        # Example input dataset (dataset)
        # This set is constructed FOR you by the pipeline.
        # ------------------------------------------------
        # timestamp             |   p1    |     p2    |
        # 202x-xx-xx xx:xx:xx   |   x     |     x     |
        # 202x-xx-xx xx:xx:xx   |   x     |     x     |
        # 202x-xx-xx xx:xx:xx   |   x     |     x     |
        # 202x-xx-xx xx:xx:xx   |   x     |     x     |
        # ------------------------------------------------

        # Example retrieving parameter from dictionary.
        # param = parameters['cil_length']

        # Example output dataset as return value.
        # ------------------------------------------------
        # timestamp             |   k1    |
        # 202x-xx-xx xx:xx:xx   |   x     |
        # ------------------------------------------------
        return pd.DataFrame()
