from vanirio.abstract import TestInterface

import pandas as pd


class Runtime(TestInterface):
    def input(self) -> pd.DataFrame:
        """
        Define a known dataset that is pushed inside your
        module software during test.

        :return: pd.DataFrame
        """
        return pd.DataFrame()

    def parameters(self) -> dict:
        """
        Define a parameter dictionary that is pushed inside
        your module software during test.

        :return: dict.
        """
        return {}

    def output(self) -> pd.DataFrame:
        """
        Define a known dataset that must be equal to
        the dataset that your module software is
        creating during test (assert).

        :return: pd.DataFrame
        """
        return pd.DataFrame()
